package {
	import com.dashrava.utils.Random;
	import flash.display.Sprite;
	import flash.events.MouseEvent;

	/**
	 * ...
	 * @author dashrava
	 */
	public class Main extends Sprite {

		var mapgen:planetgen = new planetgen();

		public function Main() {

			mapgen.x = stage.stageWidth  * 0.5;
			mapgen.y = stage.stageHeight * 0.5;

			mapgen.roll();

			addChild(mapgen);

			stage.addEventListener(MouseEvent.CLICK, click);
		}

		private function randomParams():void {

			mapgen.SEED = (Math.random() * 9000) >> 0;

			mapgen.cloudDensity 	= 0.01 * (1+(Math.random() * 9 			) >> 0);
			mapgen.debrisDensity 	= 0.01 * (1+(Math.random() * Math.random() * 50 		) >> 0);
			mapgen.debrisGap 		= 0.01 * (1+(Math.random() * Math.random() * 100 		) >> 0);
			mapgen.debrisField 		= 0.01 * (1+(Math.random() * 100 		) >> 0);
			mapgen.lightRadius 		= 0.01 * (50+(Math.random() * 150 		) >> 0);
			mapgen.lightMinimum 	= 0.01 * (1+(Math.random() * 50 		) >> 0);
			mapgen.lightIntensity 	= 0.01 * (1+(Math.random() * 150 		) >> 0);
			mapgen.atmosIntensity 	= 0.01 * (1+(Math.random() * 70 		) >> 0);
			mapgen.atmosRadius 		= 0.01 * (1+(110 + Math.random() * Math.random() * 90	) >> 0);

		}

		private function click(e:MouseEvent):void {

			randomParams();
			mapgen.roll();
		}
	}

}